from documentation_test.lib.lib import export

__all__ = []


@export
class testClass(object):

    """Summary of class

    Attributes
    ----------
    arg : str
        a string to print
    """

    def __init__(self, arg: str):
        """Summary of init

        Parameters
        ----------
        arg : str, optional
            a string to print
        """
        super(testClass, self).__init__()
        self.arg = arg

    @classmethod
    def createString(cls, aString: str):
        """create a string

        Parameters
        ----------
        aString : str
            a string to print
        """
        return cls(arg=aString)

    def printString(self):
        """Print a string
        """
        print(self.arg)
